/*:
* @target MZ
* @plugindesc Enemy Info
* @author Marrend
*
* @help enemy_info.js
*
* This plugin provides hp/tp info in the enemy selection window.
*
* It does not provide plugin commands.
*/

// One column, please!
Window_BattleEnemy.prototype.maxCols = function() {
    return 1;
};

// Draws an item. Aliased.
const window_battleenemy_drawitem = Window_BattleEnemy.prototype.drawItem;
Window_BattleEnemy.prototype.drawItem = function(index) {
	window_battleenemy_drawitem.apply(this, arguments);
	const rect = this.itemLineRect(index);
	actor = this._enemies[index];
	this.changeTextColor(ColorManager.hpGaugeColor1());
	this.drawText("HP: "+actor.hp+"/"+actor.mhp, rect.x+220, rect.y);
	this.changeTextColor(ColorManager.tpGaugeColor1());
	this.drawText("TP: "+actor.tp+"/"+actor.maxTp(), this.contents.width-160, rect.y);
	this.resetTextColor();
};
