/*:
* @target MZ
* @plugindesc Simple Title Skip
* @author Marrend
*
* @help titleskip.js
*
* This plugin skips the title screen entirely, and goes directly into a new game.
*
* It does not provide plugin commands.
*/

Scene_Title.prototype.start = function() {
    Scene_Base.prototype.start.call(this);
    SceneManager.clearStack();
    //this.adjustBackground();
    //this.playTitleMusic();
    //this.startFadeIn(this.fadeSpeed(), false);
};

const scene_title_create = Scene_Title.prototype.create;
// Aliased function.
Scene_Title.prototype.create = function() {
	scene_title_create.apply(this);
	this.commandNewGame();
};

Scene_Title.prototype.commandNewGame = function() {
    DataManager.setupNewGame();
    SceneManager.goto(Scene_Map);
};
